com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectWaterMark

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.TrackEffectWaterMark

-     public class TrackEffectWaterMark
      extends EffectBase

  v3.27.0新增 轨道编辑的水印实体类

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackEffectWaterMark.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EffectRect` | `mEffectRect`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackEffectWaterMark()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getHeightRatio()` 获取高的比例值
    `float` | `getWidthRatio()` 获取宽的比例值
    `float` | `getXRadio()` 获取x坐标的比例值
    `float` | `getYRadio()` 获取y坐标的比例值
    `void` | `setHeightRatio(float heightRatio)` 设置高的比例值
    `void` | `setWidthRatio(float widthRatio)` 设置宽的比例值
    `void` | `setXRadio(float xRatio)` 设置x坐标的比例值
    `void` | `setYRatio(float yRatio)` 设置y坐标的比例值

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mEffectRect

          protected EffectRect mEffectRect

  - ### Constructor Detail

    - #### TrackEffectWaterMark

          public TrackEffectWaterMark()

  - ### Method Detail

    - #### getXRadio

          public float getXRadio()

      获取x坐标的比例值
      Returns:
        x坐标比例 范围 [0 - 1]

    - #### setXRadio

          public void setXRadio(float xRatio)

      设置x坐标的比例值
      Parameters:
        `xRatio` - 比例值 [0 - 1]

    - #### getYRadio

          public float getYRadio()

      获取y坐标的比例值
      Returns:
        y坐标比例 范围 [0 - 1]

    - #### setYRatio

          public void setYRatio(float yRatio)

      设置y坐标的比例值
      Parameters:
        `yRatio` - 比例值 [0 - 1]

    - #### getWidthRatio

          public float getWidthRatio()

      获取宽的比例值
      Returns:
        宽的比例 [0 - 1]

    - #### setWidthRatio

          public void setWidthRatio(float widthRatio)

      设置宽的比例值
      Parameters:
        `widthRatio` - 宽比例 [0 - 1]

    - #### getHeightRatio

          public float getHeightRatio()

      获取高的比例值
      Returns:
        高的比例 [0 - 1]

    - #### setHeightRatio

          public void setHeightRatio(float heightRatio)

      设置高的比例值
      Parameters:
        `heightRatio` - 高比例 [0 - 1]